import y from "micromark";
import k from "striptags";
import b from "feather-icons";
function e(t, ...i) {
  return t.reduce((a, o, n) => {
    const r = i[n];
    return Array.isArray(r) ? a + o + r.join("") : r != null && !!r !== r ? a + o + r : a + o;
  }, "");
}
function s(t, i = !1) {
  const a = y(t);
  return i ? k(a) : a;
}
const w = (t) => new Date(t).toLocaleDateString("en", {
  month: "short",
  year: "numeric",
  timeZone: "UTC"
});
function g(t) {
  return e`<time datetime="${t}">${w(t)}</time>`;
}
function x(t = []) {
  return t.length > 0 && e`
    <section id="awards">
      <h3>Awards</h3>
      <div class="stack">
        ${t.map(({ awarder: i, date: a, summary: o, title: n }) => e`
          <article>
            <header>
              <h4>${n}</h4>
              <div class="meta">
                ${i && e`
                  <div>
                    Awarded by <strong>${i}</strong>
                  </div>
                `}
                ${a && g(a)}
              </div>
            </header>
            ${o && s(o)}
          </article>
        `)}
      </div>
    </section>
  `;
}
const L = (t) => t.replace(/^(https?:|)\/\//, "").replace(/\/$/, "");
function h(t, i) {
  return i ? t ? e`<a href="${t}">${i}</a>` : i : t && e`<a href="${t}">${L(t)}</a>`;
}
function C(t = []) {
  return t.length > 0 && e`
    <section id="certificates">
      <h3>Certificates</h3>
      <div class="stack">
        ${t.map(({ date: i, issuer: a, name: o, url: n }) => e`
          <article>
            <header>
              <h4>${h(n, o)}</h4>
              <div class="meta">
                ${a && e`
                  <div>
                    Issued by <strong>${a}</strong>
                  </div>
                `}
                ${i && g(i)}
              </div>
            </header>
          </article>
        `)}
      </div>
    </section>
  `;
}
function p(t, i) {
  return e`${g(t)} – ${i ? g(i) : "Present"}`;
}
function z(t = []) {
  return t.length > 0 && e`
    <section id="education">
      <h3>Education</h3>
      <div class="stack">
        ${t.map(({ area: i, courses: a = [], institution: o, startDate: n, endDate: r, studyType: l, url: c }) => e`
          <article>
            <header>
              <h4>${h(c, o)}</h4>
              <div class="meta">
                ${i && e`<strong>${i}</strong>`}
                <div>${p(n, r)}</div>
              </div>
            </header>
            ${l && s(l)}
            ${a.length > 0 && e`
              <h5>Courses</h5>
              <ul>
                ${a.map((d) => e`<li>${s(d)}</li>`)}
              </ul>
            `}
          </article>
        `)}
      </div>
    </section>
  `;
}
function v(t, i) {
  return (b.icons[t.toLowerCase()] || b.icons[i.toLowerCase()]).toSvg({ width: 16, height: 16 });
}
const I = (t) => Intl.DisplayNames ? new Intl.DisplayNames(["en"], { type: "region" }).of(t) : t;
function P(t = {}) {
  const { email: i, image: a, label: o, location: n, name: r, phone: l, profiles: c = [], summary: d, url: m } = t;
  return e`
    <header class="masthead">
      ${a && e`<img src="${a}" alt="">`}
      <div>
        ${r && e`<h1>${r}</h1>`}
        ${o && e`<h2>${o}</h2>`}
      </div>
      ${d && e`<article>${s(d)}</article>`}
      <ul class="icon-list">
        ${n?.city && e`
          <li>
            ${v("map-pin")}
            ${n.city}${n.countryCode && e`, ${I(n.countryCode)}`}
          </li>
        `}
        ${i && e`
          <li>
            ${v("mail")}
            <a href="mailto:${i}">${i}</a>
          </li>
        `}
        ${l && e`
          <li>
            ${v("phone")}
            <a href="tel:${l.replace(/\s/g, "")}">${l}</a>
          </li>
        `}
        ${m && e`
          <li>
            ${v("link")}
            ${h(m)}
          </li>
        `}
        ${c.map(({ network: $, url: u, username: f }) => e`
          <li>
            ${v($, "user")}
            ${h(u, f)}
            ${$ && e`<span class="network">(${$})</span>`}
          </li>
        `)}
      </ul>
    </header>
  `;
}
function j(t = []) {
  return t.length > 0 && e`
    <section id="interests">
      <h3>Interests</h3>
      <div class="grid-list">
        ${t.map(({ keywords: i = [], name: a }) => e`
          <div>
            ${a && e`<h4>${a}</h4>`}
            ${i.length > 0 && e`
              <ul class="tag-list">
                ${i.map((o) => e`<li>${o}</li>`)}
              </ul>
            `}
          </div>
        `)}
      </div>
    </section>
  `;
}
function D(t = []) {
  return t.length > 0 && e`
    <section id="languages">
      <h3>Languages</h3>
      <div class="grid-list">
        ${t.map(({ fluency: i, language: a }) => e`
          <div>
            ${a && e`<h4>${a}</h4>`}
            ${i}
          </div>
        `)}
      </div>
    </section>
  `;
}
function R(t = {}) {
  const { name: i, summary: a } = t;
  return e`
    ${i && e`<title>${i}</title>`}
    ${a && e`<meta name="description" content="${s(a, !0)}">`}
  `;
}
const A = (t) => Intl.ListFormat ? new Intl.ListFormat("en").format(t) : t.join(", ");
function q(t = []) {
  return t.length > 0 && e`
    <section id="projects">
      <h3>Projects</h3>
      <div class="stack">
      ${t.map(({ description: i, entity: a, highlights: o = [], name: n, startDate: r, endDate: l, roles: c = [], url: d }) => e`
        <article>
          <header>
            <h4>${h(d, n)}</h4>
            <div class="meta">
              <div>
                ${c.length > 0 && e`<strong>${A(c)}</strong>`}
                ${a && e`at <strong>${a}</strong>`}
              </div>
              <div>${p(r, l)}</div>
            </div>
          </header>
          ${i && s(i)}
          ${o.length > 0 && e`
            <ul>
              ${o.map((m) => e`<li>${s(m)}</li>`)}
            </ul>
          `}
        </article>
      `)}
      </div>
    </section>
  `;
}
function S(t = []) {
  return t.length > 0 && e`
    <section id="publications">
      <h3>Publications</h3>
      <div class="stack">
        ${t.map(({ name: i, publisher: a, releaseDate: o, summary: n, url: r }) => e`
          <article>
            <header>
              <h4>${h(r, i)}</h4>
              <div class="meta">
                ${a && e`
                  <div>
                    Published by <strong>${a}</strong>
                  </div>
                `}
                ${o && g(o)}
              </div>
            </header>
            ${n && s(n)}
          </article>
        `)}
      </div>
    </section>
  `;
}
function E(t = []) {
  return t.length > 0 && e`
    <section id="references">
      <h3>References</h3>
      <div class="stack">
        ${t.map(({ name: i, reference: a }) => e`
          <blockquote>
            ${a && s(a)}
            ${i && e`
              <p>
                <cite>${i}</cite>
              </p>
            `}
          </blockquote>
        `)}
      </div>
    </section>
  `;
}
function W(t = []) {
  return t.length > 0 && e`
    <section id="skills">
      <h3>Skills</h3>
      <div class="grid-list">
        ${t.map(({ keywords: i = [], name: a }) => e`
          <div>
            ${a && e`<h4>${a}</h4>`}
            ${i.length > 0 && e`
              <ul class="tag-list">
                ${i.map((o) => e`<li>${o}</li>`)}
              </ul>
            `}
          </div>
        `)}
      </div>
    </section>
  `;
}
function F(t = []) {
  return t.length > 0 && e`
    <section id="volunteer">
      <h3>Volunteer</h3>
      <div class="stack">
        ${t.map(({ highlights: i = [], organization: a, position: o, startDate: n, endDate: r, summary: l, url: c }) => e`
          <article>
            <header>
              <h4>${h(c, a)}</h4>
              <div class="meta">
                <strong>${o}</strong>
                <div>${p(n, r)}</div>
              </div>
            </header>
            ${l && s(l)}
            ${i.length > 0 && e`
              <ul>
                ${i.map((d) => e`<li>${s(d)}</li>`)}
              </ul>
            `}
          </article>
        `)}
      </div>
    </section>
  `;
}
function N(t = []) {
  const i = t.reduce((a, { description: o, name: n, url: r, ...l }) => {
    const c = a[a.length - 1];
    return c && c.name === n && c.description === o && c.url === r ? c.items.push(l) : a.push({ description: o, name: n, url: r, items: [l] }), a;
  }, []);
  return t.length > 0 && e`
    <section id="work">
      <h3>Work</h3>
      <div class="stack">
        ${i.map(({ description: a, name: o, url: n, items: r = [] }) => e`
          <article>
            <header>
              <h4>${h(n, o)}</h4>
              <div class="meta">
                ${a && e`<div>${a}</div>`}
              </div>
            </header>
            <div class="timeline">
              ${r.map(({ highlights: l = [], location: c, position: d, startDate: m, endDate: $, summary: u }) => e`
                <div>
                  <div>
                    <h5>${d}</h5>
                    <div class="meta">
                      <div>${p(m, $)}</div>
                      ${c && e`<div>${c}</div>`}
                    </div>
                  </div>
                  ${u && s(u)}
                  ${l.length > 0 && e`
                    <ul>
                      ${l.map((f) => e`<li>${s(f)}</li>`)}
                    </ul>
                  `}
                </div>
              `)}
            </div>
          </article>
        `)}
      </div>
    </section>
  `;
}
function O(t, i) {
  return e`<!DOCTYPE html>
    <html lang="en">
      <head>
        <meta charset="utf-8">
        ${R(t.basics)}
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato:400,700&display=swap">
        <style>${i}</style>
      </head>
      <body>
        ${P(t.basics)}
        ${N(t.work)}
        ${F(t.volunteer)}
        ${z(t.education)}
        ${q(t.projects)}
        ${x(t.awards)}
        ${C(t.certificates)}
        ${S(t.publications)}
        ${W(t.skills)}
        ${D(t.languages)}
        ${j(t.interests)}
        ${E(t.references)}
      </body>
    </html>`;
}
const T = `:root{color-scheme:light dark;--color-background: #ffffff;--color-muted: #f3f4f5;--color-primary: #191e23;--color-secondary: #6c7781;--color-accent: #ffb900;--color-link: #46b450;--scale-ratio: 1.25;--scale0: 1rem;--scale1: calc(var(--scale0) * var(--scale-ratio));--scale2: calc(var(--scale1) * var(--scale-ratio));--scale3: calc(var(--scale2) * var(--scale-ratio));--scale4: calc(var(--scale3) * var(--scale-ratio));--scale5: calc(var(--scale4) * var(--scale-ratio))}@media (prefers-color-scheme: dark){:root{--color-background: #191e23;--color-muted: #23282d;--color-primary: #fbfbfc;--color-secondary: #ccd0d4}}*{box-sizing:border-box;margin:0;padding:0}html{font-size:14px}body{background:var(--color-background);color:var(--color-primary);display:grid;font:1em/1.5 Lato,sans-serif;gap:2em;grid-template-columns:[full-start] 1fr [main-start side-start] minmax(min-content,12em) [side-end content-start] minmax(min-content,36em) [main-end content-end] 1fr [full-end];grid-template-rows:auto [content] 0;margin-bottom:4em}body:before{content:"";grid-column:full;grid-row:content}ol,ul{padding-left:1em}:not(.icon-list,.tag-list)>li+li{margin-top:.4em}li::marker,.network{color:var(--color-secondary)}a{color:var(--color-link);text-decoration:none;transition:color .2s}a:focus,a:hover{color:var(--color-accent)}h1,h2,h3,h5{font-weight:400}h1,h2,h3{line-height:1.2}h1{font-size:var(--scale5)}h2{color:var(--color-secondary);font-size:var(--scale4)}h3{color:var(--color-accent);font-size:var(--scale3);grid-column:side;margin-bottom:1rem}h4{font-size:var(--scale2)}h5{font-size:var(--scale1)}h6{font-size:var(--scale0)}blockquote{border-left:.2em solid var(--color-muted);padding-left:1em}cite{color:var(--color-secondary);font-style:inherit}cite:before{content:"— "}svg{margin-right:.2em;vertical-align:text-bottom}.masthead{background:var(--color-muted);display:inherit;gap:inherit;grid-column:full;grid-template-columns:inherit;padding:4em 0;text-align:center}.masthead>*,section{grid-column:main}.masthead>img{border:4px solid;border-radius:50%;margin:0 auto;max-width:12em}article>*+*,blockquote>*+*,.timeline>div>*+*{margin-top:.6em}.meta{color:var(--color-secondary)}.stack{display:grid;gap:1.5em}.icon-list{display:flex;flex-wrap:wrap;gap:.4em 1em;justify-content:center;list-style:none;padding:0}.grid-list{display:grid;gap:1em}.tag-list{display:flex;flex-wrap:wrap;gap:.4em;list-style:none;padding:0}.tag-list>li{background:var(--color-muted);border-radius:.2em;padding:.2em .6em}.timeline>div{position:relative}.timeline>div:not(:last-child){padding-bottom:1rem}.timeline>div:not(:last-child):before{content:"";position:absolute;top:1rem;left:-15px;width:2px;height:100%;background:var(--color-secondary)}.timeline>div:not(:only-child):after{content:"";position:absolute;top:.6rem;left:-20px;width:8px;height:8px;background:var(--color-secondary);border:2px solid var(--color-background);border-radius:50%}@media print,(min-width: 48em){h3{text-align:right;margin-bottom:inherit}.masthead{text-align:inherit}.masthead>*,section{grid-column:content}.masthead img{grid-column:side;grid-row:span 2;max-width:100%}section{display:contents}.icon-list{flex-direction:column}.grid-list{grid-template-columns:repeat(auto-fit,minmax(calc((100% - 1em)/2),1fr))}}
`, M = { mediaType: "print" }, Y = (t) => O(t, T);
export {
  M as pdfRenderOptions,
  Y as render
};
